//buyボタン表示・非表示
if($('#total-price-span').text() === "¥0"){
	$('.js-modal-open').hide();
}else{
	$('.js-modal-open').show();
}

//cart個数
let cartValue = 0;
for(let i = 0; i < $('.itemCount').length; i++){
	cartValue += Number($('.itemCount').eq(i).val());
}
$('.shoping-cart').text(cartValue);


//モーダル表示
$(function(){
    $('.js-modal-open').on('click',function(){
        $('.js-modal').fadeIn();
        return false;
    });
    $('.js-modal-close').on('click',function(){
        $('.js-modal').fadeOut();
        return false;
    });
});

//購入処理
$('#ok-btn').on('click',function(){
    $.ajax({
    	type:'GET',
    	url:'/limited/buy'
    })
    .done(function(){
    	$('.js-modal').fadeOut();
    	alert("購入が完了しました。");
    	window.location.href = "/limited/top";
    })
    .fail(function(){
    	alert("ウォレットの残高が足りません。チャージしてください");
    	window.location.href = ($('#wallets').attr('href'));
    })
});

//商品個数追加
$('.itemCountChange').on('click', function(event){
    console.log(event.target.parentElement.parentElement.children[0].textContent);
    console.log(event.target.parentElement.parentElement.children[3].children[0].value);
    let data = {
            shoesId: parseInt(event.target.parentElement.parentElement.children[0].textContent),
            quantity: parseInt(event.target.parentElement.parentElement.children[3].children[0].value)
    };
    
    $.ajax({
          type: "POST",
          url: "/limited/editCart",
          contentType: 'application/json',
          dataType: "json",
          data: JSON.stringify(data)
    })
    .done(function(){
    	window.location.href = "/limited/cart";
    })
    .fail(function(){
    	alert("数量が在庫数を超えています。");
    })
    
    
    //[#modal-content]と[#modal-overlay]をフェードアウトした後に…
            $( "#modal-content,#modal-overlay" ).fadeOut( "slow" , function(){
            //[#modal-overlay]を削除する
            $('#modal-overlay').remove() ;
    
    }) ;
});